Bug 144028 - Mouse detected incorrectly (fc1 & fc2) - and does not work in installed system
Mouse detected incorrectly (fc1 & fc2) - and does not work in installed system
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: 144027 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-01-03 16:22 EST by Paul King
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-10 23:16:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul King 2005-01-03 16:22:18 EST
Description of problem:

Mouse does not function.

Version-Release number of selected component (if applicable):

Kernel - 2.4.22-1.2115.nptl

How reproducible:


Steps to Reproduce:
1. Install Fedora Core 1
2. Boot up system
Actual results:

Fedora loads as expected
Mouse does not work

Expected results:

Mouse should work

Additional info:

Installing on a dual processor G4 Powermac using Virtual PC 6.1.1
under OS 10.2.8.  Keyboard is USB Keyboard attached to Studio 17 TFT
screen.  Mouse connected to USB port on keyboard.

Mouse is detected as PS/2 wheel mouse.  During install, installed as a
PS2 2-button mouse with no third button emulation.

Installed using text mode as mouse does not work in graphical mode. 
(In addition, in graphical mode the screen selection page does not
function correctly, even using keyboard.)

Monitor is not detected by the install program.

Note, same instalation problems encountered during install of Core 2 -
but unable to boot installed system (see bug 144023)
Comment 1 Dave Jones 2005-01-10 23:16:25 EST
fc1 = end of life some time ago.
fc2/fc3 won't install due to an incompatability with the 4g4g patch.

This got dropped for fc4, so when that comes out it should work.
Comment 2 Dave Jones 2005-01-10 23:17:05 EST
*** Bug 144027 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.